<?php
/*
* @package		AJAX Register
* @copyright	Copyright (C) 2009-2010 Emir Sakic, http://www.sakic.net. All rights reserved.
* @license		GNU/GPL, see LICENSE.TXT
*
* This program is free software; you can redistribute it and/or modify it
* under the terms of the GNU General Public License as published by the
* Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This header must not be removed. Additional contributions/changes
* may be added to this header as long as no information is deleted.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin');

class plgSystemAJAXRegister extends JPlugin
{
	function plgSystemAJAXRegister(&$subject, $config)  {
		parent::__construct($subject, $config);
	}
	
	// onAfterInitialise, onAfterRoute
	function onAfterRoute() {
		
		$app = JFactory::getApplication();

		if ($app->isAdmin()) {
			return;
		}

		if (file_exists(JPATH_SITE.DS.'components'.DS.'com_ajaxregister'.DS.'ajaxregister.php')) {
			// Override core com_user
			$option = JRequest::getCmd('option');
			if ($option=='com_users') {
				//require_once(JPATH_SITE.DS.'components'.DS.'com_ajaxregister'.DS.'classes'.DS.'application.php');
				// JRE Cache fix
				if (isset($app->jre_cache)) {
					$jre_cache = $app->jre_cache;
				}
				// Message fix
				if (isset($app->_messageQueue)) {
					$_messageQueue = $app->_messageQueue;
				}
				//$app = new JSiteExt();
				//$app->_name = 'site';
				$task = JRequest::getCmd('task');
				$view = JRequest::getCmd('view');
				$user =& JFactory::getUser();
				if ((($view=='registration' || $task=='registration.register' || $task=='registration.activate') && !$user->get('id')) || $task=='ajax') {
					JRequest::setVar('option', 'com_ajaxregister');
				}
				// JRE Cache fix
				if (isset($jre_cache)) {
					$app->jre_cache = $jre_cache;
				}
				// Message fix
				if (isset($_messageQueue)) {
					$app->_messageQueue = $_messageQueue;
				}
			}
		} else {
			return;
		}
	}
}

?>