<?php

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

/**
 * Renders a author element
 *
 * @package 	Joomla
 * @subpackage	Articles
 * @since		1.5
 */
class JElementCaptcha extends JElement
{
	/**
	 * Element name
	 * @access	protected
	 * @var		string
	 */
	var	$_name = 'Captcha';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$option = array();
		$options[] = JHTML::_('select.option', '0', JText::_('AR_CAPTCHA_DISABLED'), 'cid', 'name');
		$options[] = JHTML::_('select.option', '1', JText::_('AR_CAPTCHA_IMAGE'), 'cid', 'name');
		$options[] = JHTML::_('select.option', '2', JText::_('AR_CAPTCHA_RECAPTCHA'), 'cid', 'name');
		$options[] = JHTML::_('select.option', '3', JText::_('AR_CAPTCHA_QUESTIONS_AND_ANSWERS'), 'cid', 'name');
		$attribs = array(
			'class' => 'inputbox'
		);
		return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', $attribs, 'cid', 'name', $value, $control_name.$name );
	}
}